/*
 * This file contains macro constant names for byte sex flags, fpu flags
 * the macros for converting from this machine to other types
 */

/*
 * Byte swaps for word and half words.
 */
#define ifs_swap_word(a) ( ((a) << 24) | \
		      (((a) << 8) & 0x00ff0000) | \
		      (((a) >> 8) & 0x0000ff00) | \
	((unsigned long)(a) >> 24) )

#define ifs_swap_half(a) ( ((a & 0xff) << 8) | ((unsigned short)(a) >> 8) )

#define ifs_swap_32(a) ( ((a) << 16) | \
		       ((unsigned long)(a) >> 16) )

#define ifs_swap_bytes(a) ( (((a) << 8) & 0xff00ff00) | \
			    (((a) >> 8) & 0x00ff00ff) )
 /*
 * Byte sex and fpu constants
 */

#define IFS_UNKNOWNENDIAN	0x00
#define IFS_BIGENDIAN		0x01
#define IFS_LITTLEENDIAN	0x02

#define IFS_UNKNOWNFP           0x00
#define IFS_IEEE                0x10
#define IFS_DEC                 0x20

#define IFS_BE_IEEE   (IFS_BIGENDIAN    | IFS_IEEE)
#define IFS_LE_IEEE   (IFS_LITTLEENDIAN | IFS_IEEE)
#define IFS_LE_DEC    (IFS_LITTLEENDIAN | IFS_DEC)

#define IFS_ENDIAN              IFS_BIGENDIAN
#define IFS_FPU                 IFS_IEEE
#define IFS_MACHINE_TYPE       (IFS_ENDIAN | IFS_FPU)

/* define "External to Machine" to control input macros
   used in cvtvax.h, cvt68020.h cvt386.h */
#define E2M
#if (IFS_MACHINE_TYPE == IFS_LE_DEC)
#include "cvtvax.h"
#endif

#if (IFS_MACHINE_TYPE == IFS_BE_IEEE)
#include "cvt68020.h"
#endif

#if (IFS_MACHINE_TYPE == IFS_LE_IEEE)
#include "cvt386.h"
#endif

